﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ESRI.ArcGIS.Geodatabase;

namespace Postarc.Geodatabase
{
    class SelectionSetEnumerator : IEnumIDs
    {
        protected SelectionSet set;
        protected int next = 0;

        public SelectionSetEnumerator(SelectionSet set)
        {
            this.set = set;
        }

        public int Next()
        {
            if (set.Count < next)
            {
                return set.List[next++];
            }
            return -1;
        }

        public void Reset()
        {
            this.next = 0;
        }
    }
}
